+++
title = "Use ZFS snapshot"
taxonomies.categories = [ "zfs", "snapshot", "filesystem", "backup", "update", "upgrade" ]
+++

## Make a ZFS snapshot
sudo zfs snapshot zroot/safe/persist@$name

## Rollback

### single files
The snapshots can be accessed under /mnt/.zfs/snapshot/$name/ 

### fully
sudo zfs rollback zroot/safe/persist@$name

## Delete a ZFS snapshot
sudo zfs destroy zroot/safe/persist@$name
